<?php
namespace nur\sery\wip\php\access;

/**
 * Class IGetter: une abstraction d'obtention d'une valeur
 */
interface IGetter {
  /**
   * @return bool true si la valeur existe, false sinon. ne pas tenir compte de
   * si la valeur est utilisable ou non
   */
  function exists($src): bool;

  /** @return bool true si la valeur existe et est utilisable, false sinon */
  function available($src): bool;

  /** @return mixed la valeur depuis la source */
  function get($src, $default=null);
}
